package com.bocloud.cmp.model.hmc.pcm;

public class SharedProcessorPool {
    private Integer id;
    private String name;
    private Double assignedProcCycles;
    private Double utilizedProcCycles;
    private Double maxProcUnits;
    private Double borrowedProcUnits;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getAssignedProcCycles() {
        return assignedProcCycles;
    }

    public void setAssignedProcCycles(Double assignedProcCycles) {
        this.assignedProcCycles = assignedProcCycles;
    }

    public Double getUtilizedProcCycles() {
        return utilizedProcCycles;
    }

    public void setUtilizedProcCycles(Double utilizedProcCycles) {
        this.utilizedProcCycles = utilizedProcCycles;
    }

    public Double getMaxProcUnits() {
        return maxProcUnits;
    }

    public void setMaxProcUnits(Double maxProcUnits) {
        this.maxProcUnits = maxProcUnits;
    }

    public Double getBorrowedProcUnits() {
        return borrowedProcUnits;
    }

    public void setBorrowedProcUnits(Double borrowedProcUnits) {
        this.borrowedProcUnits = borrowedProcUnits;
    }
}
